Password show last

Functions
Password show last

Show last feature of password mode enables user to view the last input entered for few seconds before masking it. More...

## Functions
Eina_Bool | elm_config_password_show_last_get (void)
| Get the "show last" setting of password mode. More...
void | elm_config_password_show_last_set (Eina_Bool password_show_last)
| Set show last setting in password mode. More...
double | elm_config_password_show_last_timeout_get (void)
| Get the timeout value in "show last" password mode. More...
void | elm_config_password_show_last_timeout_set (double password_show_last_timeout)
| Set's the timeout value in "show last" password mode. More...

## Detailed Description

Show last feature of password mode enables user to view the last input entered for few seconds before masking it.

These functions allow to set this feature in password mode of entry widget and also allow to manipulate the duration for which the input has to be visible.

## Function Documentation

## ◆ elm_config_password_show_last_get()

Eina_Bool elm_config_password_show_last_get | ( | void |  | ) |

Get the "show last" setting of password mode.

This gets the "show last" setting of password mode which might be enabled or disabled.

Returns
  `EINA_TRUE`, if the "show last" setting is enabled, `EINA_FALSE` if it's disabled.

## ◆ elm_config_password_show_last_set()

void elm_config_password_show_last_set | ( | Eina_Bool | password_show_last | ) |

Set show last setting in password mode.

This enables or disables show last setting of password mode.

Parameters

  password_show_last | If `EINA_TRUE`, enables "show last" in password mode.

See also
  elm_config_password_show_last_timeout_set()

## ◆ elm_config_password_show_last_timeout_get()

double elm_config_password_show_last_timeout_get | ( | void |  | ) |

Get the timeout value in "show last" password mode.

This gets the time out value for which the last input entered in password mode will be visible.

Returns
  The timeout value of "show last" password mode.

## ◆ elm_config_password_show_last_timeout_set()

void elm_config_password_show_last_timeout_set | ( | double | password_show_last_timeout | ) |

Set's the timeout value in "show last" password mode.

This sets the time out value for which the last input entered in password mode will be visible.

Parameters

  password_show_last_timeout | The timeout value.

See also
  elm_config_password_show_last_set()